osl::search::TimeAssigned Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::search::TimeAssigned Struct Reference

`#include <searchTimer.h>`

## Public Member Functions
| TimeAssigned ()
| TimeAssigned (MilliSeconds::Interval assign)
| TimeAssigned (MilliSeconds::Interval s, MilliSeconds::Interval m)

## Public Attributes
MilliSeconds::Interval | standard
MilliSeconds::Interval | max

## Detailed Description

Definition at line 17 of file searchTimer.h.

## Constructor & Destructor Documentation

osl::search::TimeAssigned::TimeAssigned | ( | ) |  |
| inline

Definition at line 20 of file searchTimer.h.

osl::search::TimeAssigned::TimeAssigned | ( | MilliSeconds::Interval | assign) |  |
| inlineexplicit

Definition at line 25 of file searchTimer.h.

osl::search::TimeAssigned::TimeAssigned | ( | MilliSeconds::Interval | s,
|  | MilliSeconds::Interval | m
| ) |  |
| inline

Definition at line 29 of file searchTimer.h.

## Member Data Documentation

MilliSeconds::Interval osl::search::TimeAssigned::max

Definition at line 19 of file searchTimer.h.

Referenced by osl::game_playing::SearchPlayer::adjust(), osl::game_playing::SearchPlayer::selectBestMoveInTime(), osl::game_playing::SpeculativeSearchPlayer::standardSearchSeconds(), and osl::game_playing::SpeculativeAllMoves::waitResult().

MilliSeconds::Interval osl::search::TimeAssigned::standard

Definition at line 19 of file searchTimer.h.

Referenced by osl::game_playing::SearchPlayer::adjust(), osl::game_playing::SearchPlayer::search(), osl::game_playing::SearchPlayer::selectBestMoveInTime(), osl::game_playing::SpeculativeSearchPlayer::standardSearchSeconds(), and osl::game_playing::SpeculativeAllMoves::waitResult().

The documentation for this struct was generated from the following file:

- searchTimer.h